aboutsummaryrefslogtreecommitdiff
path: root/nx-X11/programs/xterm/vttests/doublechars.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nx-X11/programs/xterm/vttests/doublechars.sh')
-rw-r--r--nx-X11/programs/xterm/vttests/doublechars.sh87
1 files changed, 87 insertions, 0 deletions
diff --git a/nx-X11/programs/xterm/vttests/doublechars.sh b/nx-X11/programs/xterm/vttests/doublechars.sh
new file mode 100644
index 000000000..dd032ae46
--- /dev/null
+++ b/nx-X11/programs/xterm/vttests/doublechars.sh
@@ -0,0 +1,87 @@
+#!/bin/sh
+# $XFree86: xc/programs/xterm/vttests/doublechars.sh,v 1.5 2003/05/19 00:52:30 dickey Exp $
+#
+# -- Thomas Dickey (1999/7/7)
+# Illustrate the use of double-size characters by drawing successive lines in
+# the commonly used video attributes.
+#
+# Use the -w option to force the output to wrap. It will look ugly, because
+# the double-high lines will be split.
+
+ESC=""
+CMD='echo'
+OPT='-n'
+SUF=''
+TMP=/tmp/xterm$$
+eval '$CMD $OPT >$TMP || echo fail >$TMP' 2>/dev/null
+( test ! -f $TMP || test -s $TMP ) &&
+for verb in printf print ; do
+ rm -f $TMP
+ eval '$verb "\c" >$TMP || echo fail >$TMP' 2>/dev/null
+ if test -f $TMP ; then
+ if test ! -s $TMP ; then
+ CMD="$verb"
+ OPT=
+ SUF='\c'
+ break
+ fi
+ fi
+done
+rm -f $TMP
+
+SAVE=yes
+WRAP=no
+if test $# != 0 ; then
+ while test $# != 0
+ do
+ case $1 in
+ -n) SAVE=no ;;
+ -w) WRAP=yes ;;
+ esac
+ shift
+ done
+fi
+
+if test $SAVE = yes ; then
+ exec </dev/tty
+ old=`stty -g`
+ stty raw -echo min 0 time 5
+
+ $CMD $OPT "${ESC}[18t${SUF}" > /dev/tty
+ IFS=';' read junk high wide
+
+ stty $old
+
+ wide=`echo $wide|sed -e 's/t.*//'`
+ original=${ESC}[8\;${high}\;${wide}t${SUF}
+
+ if ( trap "echo exit" EXIT 2>/dev/null ) >/dev/null
+ then
+ trap '$CMD $OPT "$original" >/dev/tty; exit' EXIT HUP INT TRAP TERM
+ else
+ trap '$CMD $OPT "$original" >/dev/tty; exit' 0 1 2 5 15
+ fi
+
+fi
+
+if test $WRAP = yes ; then
+ # turn on wrapping and force the screen to 80 columns
+ $CMD $OPT "${ESC}[?7h" >/dev/tty
+ $CMD $OPT "${ESC}[?40l" >/dev/tty
+else
+ # force the screen to 132 columns
+ $CMD $OPT "${ESC}[?40h" >/dev/tty
+ $CMD $OPT "${ESC}[?3h" >/dev/tty
+fi
+
+for SGR in 0 1 4 5 7
+do
+ $CMD $OPT "${ESC}[0;${SGR}m" >/dev/tty
+ for DBL in 5 3 4 6 5
+ do
+ $CMD $OPT "${ESC}#${DBL}" >/dev/tty
+ echo "The quick brown fox jumps over the lazy dog" >/dev/tty
+ done
+ echo
+done
+$CMD $OPT "${ESC}[0m" >/dev/tty